> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Grant an ACS User Access to an Entrance

> Grants a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management) access to a specified [access system entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).



## OpenAPI

````yaml /openapi.json post /acs/entrances/grant_access
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/entrances/grant_access:
    post:
      tags:
        - /acs
      summary: Grant an ACS User Access to an Entrance
      description: >-
        Grants a specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management)
        access to a specified [access system
        entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
      operationId: acsEntrancesGrantAccessPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_entrance_id:
                  description: >-
                    ID of the entrance to which you want to grant an access
                    system user access.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user to whom you want to grant
                    access to an entrance. You can only provide one of
                    acs_user_id or user_identity_id.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity to whom you want to grant access to
                    an entrance. You can only provide one of acs_user_id or
                    user_identity_id. If the ACS system contains an ACS user
                    with the same `email_address` or `phone_number` as the user
                    identity that you specify, they are linked, and the access
                    group membership belongs to the ACS user. If the ACS system
                    does not have a corresponding ACS user, one is created.
                  format: uuid
                  type: string
              required:
                - acs_entrance_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.entrances.grantAccess({
              acs_entrance_id: "d23d7180-c1ee-4bbe-8630-05df5031ce35",
              user_identity_id: "c6247b75-f1cb-493a-9915-a85a0b9639ae",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/entrances/grant_access" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "acs_entrance_id": "d23d7180-c1ee-4bbe-8630-05df5031ce35",
              "user_identity_id": "c6247b75-f1cb-493a-9915-a85a0b9639ae"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.entrances.grant_access(
                acs_entrance_id="d23d7180-c1ee-4bbe-8630-05df5031ce35",
                user_identity_id="c6247b75-f1cb-493a-9915-a85a0b9639ae",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.entrances.grant_access(
              acs_entrance_id: "d23d7180-c1ee-4bbe-8630-05df5031ce35",
              user_identity_id: "c6247b75-f1cb-493a-9915-a85a0b9639ae",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->entrances->grant_access(
                acs_entrance_id: "d23d7180-c1ee-4bbe-8630-05df5031ce35",
                user_identity_id: "c6247b75-f1cb-493a-9915-a85a0b9639ae",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs entrances grant-access --acs_entrance_id
            "d23d7180-c1ee-4bbe-8630-05df5031ce35" --user_identity_id
            "c6247b75-f1cb-493a-9915-a85a0b9639ae"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````